#include "DataAccess.h"



CDataAccess::CDataAccess()
{
	// 멤버 변수 초기화

	m_uResourceId = 0;
	m_lAccessTime = 0;

}

CDataAccess::~CDataAccess()
{

}

std::string CDataAccess::GetQueryURI( void )
{
	// URI의 '(작은따옴표) 문자가 있을 경우 SQL 오류 방지를 위하여 관련 문자를 다르게 변경함
	std::string strUri = ReplaceString( m_strUri, "'", "''" );

	return strUri;
}

std::string CDataAccess::ReplaceString( const std::string & source, const std::string search, const std::string replacement )
{
	std::string r = source;

	std::string::size_type pos = 0;

	while( ( pos = r.find( search, pos ) ) != std::string::npos )
	{
		r.replace( pos, search.size(), replacement );
		pos = pos + replacement.size();
	}

	return r;
}

